/*---------------Moons Board---------------------
     : ȯ(pickup2jpg@hotmail.com)                                 
    ȯ : Win2000Pro, jdk1.4.1, Tomcat4.1.24    
               Mysql:4.0.13          
     : EditPlus, DreamweaverMx, photoShop7.0  
	---------------Moons Board---------------------*/
package moons.admin;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.Statement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.*;
import moons.commonset.*;
import moons.dbpool.*;

public class AdminBoard extends AdminArticle{

	/*----- ڰԽ (write_ok.jsp) -----*/
	public void Insert(){
		DBConnectionManager pool=DBConnectionManager.getInstance();
		Connection conn=pool.getConnection("db_moons");
		try{			
			Statement stmt=conn.createStatement();
			String query="CREATE TABLE "+getCode()+" (";
			query=query +"ID INT NOT NULL AUTO_INCREMENT,";
			query=query +"SUBJECT VARCHAR(100) NOT NULL,";
			query=query +"NAME VARCHAR(20) NOT NULL,";
			query=query +"PASSWORD VARCHAR(20) NOT NULL,";
			query=query +"EMAIL VARCHAR(50),";
			query=query +"HOMEPAGE VARCHAR(50),";
			query=query +"CREATED VARCHAR(26),";
			query=query +"CONTENTS TEXT,";
			query=query +"HIT INT,";
			query=query +"REF INT,";
			query=query +"STEP INT(5),";
			query=query +"POSITION INT(5),";
			query=query +"FILENAME VARCHAR(50),";
			query=query +"FILETYPE VARCHAR(20),";
			query=query +"FILESIZE INT,";
			query=query +"DOWNLOAD INT,";
			query=query +"IP VARCHAR(15),";
			query=query +"PRIMARY KEY (ID)";
			query=query +")";
			stmt.executeUpdate(query);

			String query1="CREATE TABLE "+getCode()+"_MEMO (";
			query1=query1 +"CID INT NOT NULL AUTO_INCREMENT,";
			query1=query1 +"CNAME VARCHAR(20) NOT NULL,";
			query1=query1 +"CPWD VARCHAR(20) NOT NULL,";			
			query1=query1 +"COMMENT TEXT,";
			query1=query1 +"CDATE VARCHAR(26),";
			query1=query1 +"VID INT,";
			query1=query1 +"CIP VARCHAR(15),";
			query1=query1 +"PRIMARY KEY (CID)";
			query1=query1 +")";
			stmt.executeUpdate(query1);

			String query2="INSERT INTO BOARDADMIN VALUES ('', ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)";
			PreparedStatement pstmt=conn.prepareStatement(query2);
			pstmt.setString(1, getCode());
			pstmt.setString(2, getTitle_text());
			pstmt.setString(3, getTitle_image());
			pstmt.setString(4, getDisp_title());
			pstmt.setString(5, getAuth());
			pstmt.setString(6, getTop_msg());
			pstmt.setString(7, getBottom_msg());
			pstmt.setString(8, getUpload());
			pstmt.setString(9, getReply());
			pstmt.setString(10, getMailing());
			pstmt.setString(11, getBstyle());
			pstmt.setString(12, getPage_scale());
			pstmt.setString(13, getBg_image());
			pstmt.executeUpdate();

			pstmt.close();
			stmt.close();
			conn.close();
		}
		catch(SQLException e){
		}
		finally{
			pool.freeConnection("db_moons", conn);
		}
	}
	/*-----  Խ (modify.jsp) -----*/
	public void modify(String id, String mode){
		DBConnectionManager pool=DBConnectionManager.getInstance();
		Connection conn=pool.getConnection("db_moons");
		try{			
			Statement stmt=conn.createStatement();

			if(mode.equals("show")){
				String query="SELECT * FROM BOARDADMIN WHERE ID="+id;
				ResultSet rs=stmt.executeQuery(query);
				if(rs.next()){
					setCode(rs.getString("CODE"));
					setTitle_text(rs.getString("TITLE_TEXT"));
					setTitle_image(rs.getString("TITLE_IMAGE"));
					setDisp_title(rs.getString("DISP_TITLE"));
					setAuth(rs.getString("AUTH"));
					setTop_msg(rs.getString("TOP_MSG"));
					setBottom_msg(rs.getString("BOTTOM_MSG"));
					setUpload(rs.getString("UPLOAD"));
					setReply(rs.getString("REPLY"));
					setMailing(rs.getString("MAILING"));
					setBstyle(rs.getString("BSTYLE"));
					setPage_scale(rs.getString("PAGE_SCALE"));
					setBg_image(rs.getString("BG_IMAGE"));
				}
				rs.close();
			}

			else if(mode.equals("update")){
				String query="UPDATE BOARDADMIN SET CODE='"+getCode()+"', TITLE_TEXT='"+getTitle_text()+"', TITLE_IMAGE='"+getTitle_image()+"', DISP_TITLE='"+getDisp_title()+"', AUTH='"+getAuth()+"', TOP_MSG='"+getTop_msg()+"', BOTTOM_MSG='"+getBottom_msg()+"', UPLOAD='"+getUpload()+"', REPLY='"+getReply()+"', MAILING='"+getMailing()+"', BSTYLE='"+getBstyle()+"', PAGE_SCALE='"+getPage_scale()+"', BG_IMAGE='"+getBg_image()+"' WHERE ID="+id;
				stmt.executeUpdate(query);
			}
			stmt.close();
			conn.close();
		}
		catch(SQLException e){
		}
		finally{
			pool.freeConnection("db_moons", conn);
		}
	}
	/*----- ڰԽ (delete.jsp) -----*/
	public void delete(String id){
		DBConnectionManager pool=DBConnectionManager.getInstance();
		Connection conn=pool.getConnection("db_moons");
		try{			
			Statement stmt=conn.createStatement();
			String query="DELETE FROM BOARDADMIN WHERE ID="+id;
			stmt.executeUpdate(query);

			stmt.close();
			conn.close();
		}
		catch(SQLException e){
		}
		finally{
			pool.freeConnection("db_moons", conn);
		}
	}
}