/*---------------Moons Board---------------------
     : ȯ(pickup2jpg@hotmail.com)                                 
    ȯ : Win2000Pro, jdk1.4.1, Tomcat4.1.24    
               Mysql:4.0.13          
     : EditPlus, DreamweaverMx, photoShop7.0  
	---------------Moons Board---------------------*/
package moons.board;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.Statement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.*;
import java.io.*;
import javax.servlet.http.HttpServletRequest;
import com.oreilly.servlet.MultipartRequest;
import com.oreilly.servlet.multipart.DefaultFileRenamePolicy;
import moons.commonset.CommonSet;
import moons.dbpool.*;
import moons.board.BoardArticle;

public class BoardModify extends BoardArticle{
	/*--- multipart̿ ʿ ޼(68α) ----*/
	private MultipartRequest multi=null;
	public void board_Update(HttpServletRequest request, String id){
		java.io.File dir=new java.io.File(getSave_Dir());
		if(!dir.exists()){//booleanŸexists:pathο  '' '' ִ Ǻ
			dir.mkdirs();//path Ÿ 丮 (mkdirѰ ..mkdirs¹  λ)
		}
		try{
			multi=new MultipartRequest(request,getSave_Dir(),getMaxSize(),getEncType(),new DefaultFileRenamePolicy());
		}
		catch(IOException ioe){
			setError(ioe.getMessage());
		}
		try{
			CommonSet cs=new CommonSet();
		    Enumeration params=multi.getParameterNames();
  
		    while(params.hasMoreElements()){
				String key=(String)params.nextElement();
				String value=multi.getParameter(key);
			
				if(key.equals("current_page")){	setCurrent_page(Integer.parseInt(value)); }
				else if(key.equals("subject")){	setSubject(value); }
				else if(key.equals("name")){ setName(value); }
				else if(key.equals("email")){ setEmail(value); }
				else if(key.equals("homepage")){ setHomepage(value); }
				else if(key.equals("password")){ setPassword(value); }
				else if(key.equals("content")){	setContent(value); }
			}//while 

			Enumeration files=multi.getFileNames();
		
			while(files.hasMoreElements()){
				String fkey=(String)files.nextElement();
			    setFilename(cs.chKor2(multi.getFilesystemName(fkey)));
		        setFiletype(multi.getContentType(fkey));
		        File f=multi.getFile(fkey);

				if(f!=null){
			        setFilesize((int)f.length());
			     }
			}//while .
		}catch(Exception ex){
			setError(ex.getMessage());
		}
		CommonSet cs=new CommonSet();
		DBConnectionManager pool=DBConnectionManager.getInstance();
		Connection conn=pool.getConnection("db_moons");
		try{
			String query="UPDATE "+getCode()+" SET SUBJECT=?, NAME=?, PASSWORD=?, EMAIL=?, HOMEPAGE=?, CREATED=?, CONTENTS=?, FILENAME=?, FILETYPE=?, FILESIZE=?, IP=? WHERE ID="+id;
			PreparedStatement pstmt=conn.prepareStatement(query);
			pstmt.setString(1, cs.chKor2(getSubject()));
			pstmt.setString(2, cs.chKor2(getName()));
			pstmt.setString(3, cs.chKor2(getPassword()));
			pstmt.setString(4, cs.chKor2(getEmail()));
			pstmt.setString(5, cs.chKor2(getHomepage()));
			pstmt.setString(6, cs.inputTime());
			pstmt.setString(7, cs.chKor2(getContent()));
			pstmt.setString(8, getFilename());
			pstmt.setString(9, getFiletype());
			pstmt.setInt(10, getFilesize());
			pstmt.setString(11, request.getRemoteAddr());
            pstmt.executeUpdate();
			pstmt.close();
		}
		catch(SQLException e){
		}
		finally{
			pool.freeConnection("db_moons", conn);
		}
	}

	/*----- Խù (modify.jsp) -----*/
	public void board_Modify(String id, String code){
		DBConnectionManager pool=DBConnectionManager.getInstance();
		Connection conn=pool.getConnection("db_moons");
		try{
			Statement stmt=conn.createStatement();
			String query="SELECT SUBJECT, NAME, EMAIL, HOMEPAGE, CREATED, CONTENTS FROM "+code+" WHERE ID='"+id+"'";
			ResultSet rs=stmt.executeQuery(query);

			if(rs.next()){
				setSubject(rs.getString("SUBJECT"));
                setName(rs.getString("NAME"));
                setEmail(rs.getString("EMAIL"));
	            setHomepage(rs.getString("HOMEPAGE"));
                setCreated(rs.getString("CREATED"));
                setContent(rs.getString("CONTENTS"));
			}
			rs.close();
			stmt.close();
		}
		catch(SQLException e){
		}
		finally{
			pool.freeConnection("db_moons", conn);
		}
	}
	/*-----  ȣüũ(pwd_chk.jsp) -----*/
	public void board_pwdCheck(String id, String code){
		DBConnectionManager pool=DBConnectionManager.getInstance();
		Connection conn=pool.getConnection("db_moons");
		try{
			Statement stmt=conn.createStatement();
			String query="SELECT PASSWORD, FILENAME FROM "+code+" WHERE ID="+id;
			ResultSet rs=stmt.executeQuery(query);

			if(rs.next()){
                setPassword(rs.getString("PASSWORD"));
				setFilename(rs.getString("FILENAME"));
			}
			rs.close();
			stmt.close();
		}
		catch(SQLException e){
		}
		finally{
			pool.freeConnection("db_moons", conn);
		}
	}
}