/*---------------Moons Board---------------------
     : ȯ(pickup2jpg@hotmail.com)                                 
    ȯ : Win2000Pro, jdk1.4.1, Tomcat4.1.24    
               Mysql:4.0.13          
     : EditPlus, DreamweaverMx, photoShop7.0  
	---------------Moons Board---------------------*/
package moons.board;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.Statement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.*;
import moons.commonset.CommonSet;
import moons.dbpool.*;
import moons.board.BoardArticle;

public class MemoBean extends BoardArticle{

	public void memoInsert(String code){
		DBConnectionManager pool=DBConnectionManager.getInstance();
		Connection conn=pool.getConnection("db_moons");
		CommonSet cs=new CommonSet();
		try{			
			Statement stmt=conn.createStatement();
			String query="INSERT INTO "+code+"_MEMO VALUES ('', ?, ?, ?, ?, ?, ?)";
            PreparedStatement pstmt=conn.prepareStatement(query);
			pstmt.setString(1, getCname());
			pstmt.setString(2, getCpwd());
			pstmt.setString(3, getComment());
			pstmt.setString(4, cs.inputTime());
			pstmt.setInt(5, getVid());
			pstmt.setString(6, getCip());
            pstmt.executeUpdate();
			pstmt.close();
		}
		catch(SQLException e){
		}
		finally{
			pool.freeConnection("db_moons", conn);
		}
	}

	public Collection memoList(String code, String id){
		DBConnectionManager pool=DBConnectionManager.getInstance();
		Connection conn=pool.getConnection("db_moons");
		ArrayList list=new ArrayList();
		CommonSet cs=new CommonSet();
		try{			
			Statement stmt=conn.createStatement();
			String query="SELECT CID, CNAME, COMMENT, CDATE, VID, CIP FROM "+code+"_MEMO WHERE VID="+id+" ORDER BY CID";
            ResultSet rs=stmt.executeQuery(query);

			while(rs.next()){
				MemoBean mb=new MemoBean();
	            mb.setCid(rs.getInt("CID"));
	            mb.setCname(rs.getString("CNAME"));
				if(!rs.getString("COMMENT").equals("&nbsp;"))//!! ̺κ..(rs.getStringΰ鼭 ޼ҵμ)
                mb.setComment(cs.enter2Br(rs.getString("COMMENT")));
	            mb.setCdate(rs.getString("CDATE"));	            
	            mb.setVid(rs.getInt("VID"));
				mb.setCip(rs.getString("CIP"));
				
				list.add(mb);
			}
		}
		catch(SQLException e){
		}
		finally{
			pool.freeConnection("db_moons", conn);
		}
		return list;
	}
	/*----- ޸ üũ(memo_del.jsp) -----*/
	public void pwd_Check(String code, String cid){
		DBConnectionManager pool=DBConnectionManager.getInstance();
		Connection conn=pool.getConnection("db_moons");
		try{
			Statement stmt=conn.createStatement();
			String query="SELECT CPWD FROM "+code+"_MEMO WHERE CID="+cid;
			ResultSet rs=stmt.executeQuery(query);
		
			if(rs.next()){
				setCpwd(rs.getString("CPWD"));
			}
			rs.close();
		}
		catch(SQLException e){
		}
		finally{
			pool.freeConnection("db_moons", conn);
		}
	}
	/*------- ޸ (memo_del.jsp) -------*/
	public void memo_Delete(String code, String cid){
		DBConnectionManager pool=DBConnectionManager.getInstance();
		Connection conn=pool.getConnection("db_moons");
		try{
			Statement stmt=conn.createStatement();
			String query="DELETE FROM "+code+"_MEMO WHERE CID="+cid;
			stmt.executeUpdate(query);
			stmt.close();
		}
		catch(SQLException e){
		}
		finally{
			pool.freeConnection("db_moons", conn);
		}
	}
}