package moons.sendmail;

import java.io.*;
import java.util.*;
import javax.mail.*;
import javax.mail.internet.*;
import javax.activation.*;
/*---- ߰ Component import ----*/
import javax.servlet.http.HttpServletRequest;
import com.oreilly.servlet.MultipartRequest;
import com.oreilly.servlet.multipart.DefaultFileRenamePolicy;
import moons.commonset.CommonSet;
	
public class SendMail{//ٸ   ̽ļ  ȹ

	private String sender_name; // » ̸
    private String sender_email; // » ̸
    private String receiver_email; // ޴» ̸
	private String subject; //  
    private String body; //  
	private String filename;
	private String filetype;
	private int filesize=0;
	private String file_path; // ÷
	private String result; //  
	private String error;

	/*--multipartú---*/
	private String save_dir;
	private String encType="euc-kr";
	private int maxSize=5*1024*1024;//ϻ 5M

	public void setSave_Dir(String save_dir){
		this.save_dir=save_dir;
	}
	public String getError(){
		return error;
	}

	private MultipartRequest multi=null;	
	public boolean send_Mail(HttpServletRequest request){
		java.io.File dir=new java.io.File(save_dir);
		if(!dir.exists()){
			dir.mkdirs();
		}
		try{
			multi=new MultipartRequest(request,save_dir,maxSize,encType,new DefaultFileRenamePolicy());
		}
		catch(IOException ioe){
			error=ioe.getMessage();
		}
		try{
			CommonSet cs=new CommonSet();
		    Enumeration params=multi.getParameterNames();
  
		    while(params.hasMoreElements()){
				String key=(String)params.nextElement();
				String value=multi.getParameter(key);
			
				if(key.equals("sender_name")){sender_name=value;}
				else if(key.equals("sender_email")){sender_email=value;}
				else if(key.equals("receiver_email")){receiver_email=value;}
				else if(key.equals("subject")){subject=value;}
				else if(key.equals("body")){body=cs.enter2Br(value);}
			}//while 

			Enumeration files=multi.getFileNames();
		
			while(files.hasMoreElements()){
				String fkey=(String)files.nextElement();
			    filename=cs.chKor2(multi.getFilesystemName(fkey));
		        filetype=multi.getContentType(fkey);
		        File f=multi.getFile(fkey);

				if(f!=null){
			        filesize=(int)f.length();
			     }
			}//while .
		}catch(Exception ex){
			error=ex.getMessage();
		}
//	}

	/*----Ϻ(sendmail.jsp)-----*/
//	public boolean send_mail(String sender_name, String sender_email, String receiver_email,
//		String subject, String body, String file_name){
		
		boolean result=false;
		MimeMessage msg=null;
		Multipart mp=new MimeMultipart();
		MimeBodyPart mbp1=new MimeBodyPart();
		MimeBodyPart mbp2=new MimeBodyPart();

		String host="localhost";
		StringTokenizer receiverAddress=null;

		Properties props=new Properties();
		props.put("mail.smtp.host", host);
		Session sess=Session.getDefaultInstance(props, null);

		try{
			receiverAddress=new StringTokenizer(receiver_email,",");

			InternetAddress from_addr=new InternetAddress();
			InternetAddress[] to_addr=new InternetAddress[receiverAddress.countTokens()];

			for(int i=0; receiverAddress.hasMoreTokens(); i++){
				to_addr[i]=new InternetAddress(receiverAddress.nextToken());
			}
			
			from_addr.setAddress(sender_email);
			from_addr.setPersonal(sender_name,"euc-kr");

			msg=new MimeMessage(sess);
			msg.setFrom(from_addr);
			msg.setRecipients(Message.RecipientType.TO, to_addr);
			msg.setSubject(subject);

			mbp1.setContent(body, "text/html;charset=euc-kr");
			mp.addBodyPart(mbp1);

			if(!filename.equals("")){
				FileDataSource fds=new FileDataSource(filename);
				mbp2.setDataHandler(new DataHandler(fds));
				mbp2.setFileName(fds.getName());
				mp.addBodyPart(mbp2);
			}

			msg.setContent(mp);
			msg.setSentDate(new java.util.Date());
			Transport.send(msg);
			result=true;
		}catch(UnsupportedEncodingException e){
		}catch(MessagingException mex){
			result=false;
		}
		return result;
	}
}